Publishing · Queue
Fetches next available slot.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
profileIdrequired | string | |
queueId | string |
Example
curl -X GET "https://api.pozy.ai/v1/queue/next-slot?profileId=6a0b6573846efc28aaa9a3ff" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/queue/next-slot?profileId=6a0b6573846efc28aaa9a3ff", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/queue/next-slot",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"profileId": "6a0b6573846efc28aaa9a3ff",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
profileIdstringnextSlotstring (date-time)timezonestringqueueIdstringqueueNamestring
200 response
{
"profileId": "6a0b6573846efc28aaa9a3ff",
"nextSlot": "2026-10-02T09:00:00.000Z",
"timezone": "America/New_York",
"queueId": "6a5f84bc69bcee401578bb47",
"queueName": "Acme"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.